=== debian/changelog ===
injeqt (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #792170)

 -- Patryk Cisek <patryk@debian.org>  Sun, 12 Jul 2015 16:16:07 +0200
