=== debian/control ===
Source: injeqt
Priority: optional
Maintainer: Patryk Cisek <patryk@debian.org>
Build-Depends: debhelper (>= 9),
               cmake,
               qtbase5-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/vogel/injeqt

Package: libinjeqt-dev
Section: libdevel
Architecture: any
Depends: libinjeqt0 (= ${binary:Version}), ${misc:Depends}
Description: Dependency injection framework for Qt
 Dependency injection is an implementation of inverse of control and can be
 used to increase program modularity and extendability. In general it also
 results in more testable source code.
 .
 There is a lot of dependency injection frameworks for bytecode based
 languages like Java and C#, for instance Guice and Spring. C++ lacks
 reflection facilities that make dependency injection so powerful in these
 languages.
 .
 Injeqt is an attempt to build a powerful and reliable dependency injection
 framework on Qt's reflection based on MOC (meta-object compiler). For
 version 0.1 some basic features were implemented.
 .
 This package contains development files needed to compile software, that
 uses the library.

Package: libinjeqt0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dependency injection framework for Qt
 Dependency injection is an implementation of inverse of control and can be
 used to increase program modularity and extendability. In general it also
 results in more testable source code.
 .
 There is a lot of dependency injection frameworks for bytecode based
 languages like Java and C#, for instance Guice and Spring. C++ lacks
 reflection facilities that make dependency injection so powerful in these
 languages.
 .
 Injeqt is an attempt to build a powerful and reliable dependency injection
 framework on Qt's reflection based on MOC (meta-object compiler). For
 version 0.1 some basic features were implemented.
 .
 This package contains the library.
