## injeqt 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,8 +21,8 @@
 project (injeqt)
 cmake_minimum_required (VERSION 2.8)
 
-set (INJEQT_SOVERSION "0")
-set (INJEQT_VERSION "1.0.1")
+set (INJEQT_SOVERSION "1")
+set (INJEQT_VERSION "1.1.0")
 
 option (DISABLE_TESTS "Do not build tests" OFF)
 option (DISABLE_EXAMPLES "Do not build examples" OFF)
@@ -39,11 +39,7 @@
 
 set (WARNINGS "-Werror -W -Wall -Wextra -Wundef -Wunused -Wuninitialized -Wcast-align -Wpointer-arith -Woverloaded-virtual -Wnon-virtual-dtor -fno-common")
 set (VISIBILITY "-fvisibility=hidden -fvisibility-inlines-hidden")
-set (CMAKE_CXX_FLAGS "-std=c++11 ${WARNINGS} ${VISIBILITY}")
-
-if (CMAKE_BUILD_TYPE STREQUAL "Debug")
-	set (CMAKE_CXX_FLAGS "-O0 ${CMAKE_CXX_FLAGS}")
-endif (CMAKE_BUILD_TYPE STREQUAL "Debug")
+set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ${WARNINGS} ${VISIBILITY}")
 
 set (CMAKE_AUTOMOC TRUE)
 set (CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -59,10 +55,10 @@
 	add_subdirectory (examples)
 endif (NOT DISABLE_EXAMPLES)
 
-if (NOT DISABLE_TESTS)
+if (NOT CMAKE_BUILD_TYPE MATCHES RELEASE AND NOT DISABLE_TESTS)
 	enable_testing ()
 	add_subdirectory (test)
-endif (NOT DISABLE_TESTS)
+endif (NOT CMAKE_BUILD_TYPE MATCHES RELEASE AND NOT DISABLE_TESTS)
 
 if (NOT DEFINED CMAKE_INSTALL_LIBDIR)
 	set (CMAKE_INSTALL_LIBDIR lib)
