=== debian/changelog ===
injeqt (1.1.0-1.1build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:22:57 +0000

injeqt (1.1.0-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:28:28 +0000

injeqt (1.1.0-1.1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:38:02 +0000

injeqt (1.1.0-1.1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:29 +0100

injeqt (1.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix ftbfs with GCC-7. (Closes: #853452)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 18 Aug 2017 14:16:12 +0200

injeqt (1.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Patryk Cisek <patryk@debian.org>  Fri, 25 Nov 2016 11:49:09 +0100
