=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: injeqt
 Priority: optional
-Maintainer: Patryk Cisek <patryk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patryk Cisek <patryk@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
                qtbase5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/vogel/injeqt
 
 Package: libinjeqt-dev
 Section: libdevel
 Architecture: any
-Depends: libinjeqt0 (= ${binary:Version}), ${misc:Depends}
+Depends: libinjeqt1 (= ${binary:Version}), ${misc:Depends}
 Description: Dependency injection framework for Qt
  Dependency injection is an implementation of inverse of control and can be
  used to increase program modularity and extendability. In general it also
@@ -29,7 +30,7 @@
  This package contains development files needed to compile software, that
  uses the library.
 
-Package: libinjeqt0
+Package: libinjeqt1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Dependency injection framework for Qt
