## injeqt 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 cmake_minimum_required (VERSION 2.8)
 
 set (INJEQT_SOVERSION "1")
-set (INJEQT_VERSION "1.1.0")
+set (INJEQT_VERSION "1.2")
 
 option (DISABLE_TESTS "Do not build tests" OFF)
 option (DISABLE_EXAMPLES "Do not build examples" OFF)
