=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	exception/exception.cpp
 	exception/instantiation-failed.cpp
 	exception/interface-not-implemented.cpp
+	exception/invalid-action.cpp
 	exception/invalid-dependency.cpp
 	exception/invalid-qobject.cpp
 	exception/invalid-setter.cpp
@@ -42,6 +43,7 @@
 	exception/unique-factory-method-not-found.cpp
 	exception/unresolvable-dependencies.cpp
 
+	internal/action-method.cpp
 	internal/default-constructor-method.cpp
 	internal/dependencies.cpp
 	internal/dependency.cpp
@@ -52,25 +54,36 @@
 	internal/injector-impl.cpp
 	internal/interfaces-utils.cpp
 	internal/module-impl.cpp
+	internal/provided-object.cpp
 	internal/provider-by-default-constructor.cpp
 	internal/provider-by-default-constructor-configuration.cpp
 	internal/provider-by-factory.cpp
 	internal/provider-by-factory-configuration.cpp
+	internal/provider-by-parent-injector.cpp
+	internal/provider-by-parent-injector-configuration.cpp
 	internal/provider-ready.cpp
 	internal/provider-ready-configuration.cpp
-	internal/required-to-instantiate.cpp
+	internal/required-to-satisfy.cpp
 	internal/resolved-dependency.cpp
 	internal/resolve-dependencies.cpp
 	internal/setter-method.cpp
 	internal/type-dependencies.cpp
 	internal/type-relations.cpp
+	internal/type-role.cpp
 	internal/types-by-name.cpp
 	internal/types-model.cpp
 )
 
-add_definitions (
-	-Dinjeqt_EXPORTS
-)
+add_definitions (-Dinjeqt_EXPORTS)
+if (NOT CMAKE_BUILD_TYPE MATCHES RELEASE AND NOT DISABLE_TESTS)
+	add_definitions (-Dinjeqt_INTERNAL_EXPORTS)
+
+	if (NOT DISABLE_COVERAGE)
+		set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fprofile-arcs -ftest-coverage -O0")
+		set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage -O0")
+		set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fprofile-arcs -ftest-coverage -O0")
+	endif (NOT DISABLE_COVERAGE)
+endif (NOT CMAKE_BUILD_TYPE MATCHES RELEASE AND NOT DISABLE_TESTS)
 
 add_library (
 	injeqt
