=== test/CMakeLists.txt ===
--- 
+++ 
@@ -99,6 +99,7 @@
 	default-constructor-behavior-test
 	duplicate-dependencies-test
 	factory-behavior-test
+	get-all-with-type-role-test
 	init-done-test
 	inject-into-behavior-test
 	inject-into-during-init-test
