=== debian/changelog ===
injeqt (1.2.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with cmake 4 (Thanks for the hint to Adrian Bunk)
    Closes: #1113040
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2025 12:33:00 +0100

injeqt (1.2.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
    Closes: #1096099
  * New upstream version
    Closes: #1082342
  * Maintain in Package Salvage team
  * Add watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * d/rules: Remove unused template
  * Propagate hardening options
  * Drop unneeded debian/*.dirs files
  * d/copyright: review

 -- Andreas Tille <tille@debian.org>  Mon, 10 Mar 2025 09:37:24 +0100
