=== debian/control ===
--- 
+++ 
@@ -1,18 +1,24 @@
 Source: injeqt
+Standards-Version: 4.7.2
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders:
+ Patryk Cisek <patryk@debian.org>,
+Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Patryk Cisek <patryk@debian.org>
-Build-Depends: debhelper (>= 9),
-               cmake,
-               qtbase5-dev
-Standards-Version: 3.9.8
-Section: libs
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ qtbase5-dev,
+Vcs-Browser: https://salsa.debian.org/debian/injeqt
+Vcs-Git: https://salsa.debian.org/debian/injeqt.git
 Homepage: https://github.com/vogel/injeqt
 
 Package: libinjeqt-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libinjeqt1 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libinjeqt1 (= ${binary:Version}),
+ ${misc:Depends},
 Description: Dependency injection framework for Qt
  Dependency injection is an implementation of inverse of control and can be
  used to increase program modularity and extendability. In general it also
@@ -32,7 +38,9 @@
 
 Package: libinjeqt1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: Dependency injection framework for Qt
  Dependency injection is an implementation of inverse of control and can be
  used to increase program modularity and extendability. In general it also
