=== debian/watch ===
Version: 5

Template: Github
Owner: vogel
Project: injeqt
